/*
 * Licensed Materials - Property of HCL
 * UrbanCode Deploy
 * (c) Copyright HCL Technologies Ltd. 2018. All Rights Reserved.
 */
package com.urbancode.air.plugin.ispw.models

import java.util.Map

import com.urbancode.air.plugin.ispw.events.Event
import com.urbancode.air.plugin.ispw.events.EventStatuses
import com.urbancode.air.plugin.ispw.http.HttpHeader

/*
 * This class holds fields to be serialized in a JSON body to ISPW Set related REST endpoints.
 * Groovy compiler generates the necessary accessors/mutators by default.
 */
class TaskInfo extends InfoModel {
    /* Required properties */
    String application
    String checkoutFromLevel
    String path
    String stream
    String taskName
    String type

    /* Optional properties. If left null they will not be serialized to JSON */
    String action
    String owner
    String releaseId
    String runtimeConfiguration

    public TaskInfo(
        String application,
        String level,
        String path,
        String stream,
        String taskName,
        String type)
    {
        this.application = application
        this.checkoutFromLevel = level
        this.path = path
        this.stream = stream
        this.taskName = taskName
        this.type = type
    }

    public void setAction(String action) {
        this.action = action
    }

    public void setOwner(String owner) {
        this.owner = owner
    }

    public void setReleaseId(String releaseId) {
        this.releaseId = releaseId
    }

    public void setRuntimeConfiguration(String runtimeConfiguration) {
        this.runtimeConfiguration = runtimeConfiguration
    }

}
