/*
 * Licensed Materials - Property of HCL
 * UrbanCode Deploy
 * (c) Copyright HCL Technologies Ltd. 2018. All Rights Reserved.
 */
package com.urbancode.air.plugin.ispw.versions

import com.urbancode.air.plugin.ispw.models.SetInfo

/* Client to make requests against all ISPW release endpoints (promote, deploy, regress, generate). */
class ReleaseClient extends VersionClient {
    private final String PROMOTE_RELEASE_URI = "/ispw/%s/releases/%s/tasks/promote?level="
    private final String DEPLOY_RELEASE_URI = "/ispw/%s/releases/%s/tasks/deploy?level="
    private final String REGRESS_RELEASE_URI = "/ispw/%s/releases/%s/tasks/regress?level="
    private final String GENERATE_TASKS_URI = "/ispw/%s/releases/%s/tasks/generate?level="

    public ReleaseClient(Properties props) {
        super(props)
    }

    @Override
    protected String getPromoteUri() {
        return PROMOTE_RELEASE_URI
    }

    @Override
    protected String getDeployUri() {
        return DEPLOY_RELEASE_URI
    }

    @Override
    protected String getRegressUri() {
        return REGRESS_RELEASE_URI
    }

    protected String getGenerateUri() {
        return GENERATE_TASKS_URI
    }

}
